Last Comment Bug 25291 - Text-align: right/center aligns list marker incorrectly when list-style-position is 'outside'
: Text-align: right/center aligns list marker incorrectly when list-style-posit...
Status: NEW
[CSS1-5.4.6][CSS1-5.6.5]
: css1, testcase
Product: Core
Classification: Components
Component: Layout: Block and Inline (show other bugs)
: Trunk
: All All
: -- normal with 6 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: css2.1-tests
  Show dependency treegraph
 
Reported: 2000-01-27 11:42 PST by Christine Hoffman
Modified: 2016-07-21 10:17 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase to demonstrate problem (2.67 KB, text/html)
2000-01-27 11:43 PST, Christine Hoffman
no flags Details

Description Christine Hoffman 2000-01-27 11:43:01 PST
Testing on the following:

Windows: 01-25-20-m13
Mac: 01-26-03-m13
Linux: 01-25-20-m13

Behavior is across platform. Steps to reproduce:

Open attached file. Testcase provided by Pierre (I added center alignment). The 
testcase tests the effect of list markers when text-align is applied to a list 
item. 

Expected result:
(1) List-style-position: outside; text-align: right/left/center
The outside markers should remain on the left side with text aligned to the 
right/left/center
(2) List-style-position: inside; text-align: right/left/center
The inside markers should align to the right/left/center

Actual results:
When list-style-position is 'outside', right and center text alignment 
incorrectly 
aligns markers as well.
Comment 1 Christine Hoffman 2000-01-27 11:43:45 PST
Created attachment 4613 [details]
testcase to demonstrate problem
Comment 2 David Baron :dbaron: ⌚️UTC-10 2000-01-27 19:25:11 PST
Changing keyword from css2 to css1.
Comment 3 Pierre Saslawsky 2000-01-27 19:53:54 PST
That's a line layout problem. Reassigned to Kipp's list.

Comment 4 buster 2000-02-02 15:16:33 PST
CSS-1, but relatively obscure.  So it can wait until after beta to fix.
Comment 5 buster 2000-03-06 11:47:08 PST
kipp is very unlikely to fix these, since he's not working ont he project any 
longer.  so I'll take a look.
Comment 6 buster 2000-04-17 14:07:44 PDT
if this stays in my list, it won't make beta2
Comment 7 buster 2000-06-01 14:21:37 PDT
redistributing bugs across future milestones, sorry for the spam
Comment 8 buster 2000-06-04 21:21:14 PDT
This bug has been marked "future" because we have determined that it is not 
critical for netscape6.0. 
If you feel this is an error, or if it blocks your work in some way -- please 
attach your concern to the bug for reconsideration.
Comment 9 Hixie (not reading bugmail) 2000-12-11 16:17:46 PST
Upon managerial request, adding the "testcase" keyword to 84 open layout bugs that
do not have the "testcase" keyword and yet have an attachement with the word
"test" in the description field. Apologies for any mistakes.
Comment 10 Hixie (not reading bugmail) 2001-02-12 16:33:03 PST
Netscape's standard compliance QA team reorganised itself once again, so taking 
remaining non-tables style bugs. Sorry about the spam. I tried to get this done 
directly at the database level, but apparently that is "not easy because of the 
shadow db", "plus it screws up the audit trail", so no can do...
Comment 11 Kevin McCluskey (gone) 2001-10-04 16:32:43 PDT
Build reassigning Buster's bugs to Marc.
Comment 12 Boris Zbarsky [:bz] (still a bit busy) 2003-02-16 11:19:08 PST
Note that CSS2 does not specify the rendering well, but we're violating the
proposed CSS3...
Comment 13 Boris Zbarsky [:bz] (still a bit busy) 2003-04-19 23:38:00 PDT
.
Comment 15 Gérard Talbot 2012-07-24 21:23:26 PDT
I submitted

http://www.gtalbot.org/BrowserBugsSection/css21testsuite/list-style-position-018.html

which was removed, retracted from the CSS 2.1 test suite because of Erratum 61 which states

"the constraints on the position of 'outside' markers are relaxed for some values of 'text-align'"

More info:

http://lists.w3.org/Archives/Public/public-css-testsuite/2010Oct/0191.html

http://lists.w3.org/Archives/Public/public-css-testsuite/2010Oct/0197.html

So, I think this bug report should be resolved somehow, otherwise css1 keyword should be removed and css3 keyword should be added.

Gérard Talbot
Comment 16 Rick Byers 2016-07-11 13:04:35 PDT
I just hit this here: https://github.com/GoogleChrome/chromium-dashboard/issues/306

Eg. if you have a list with padding:0 and text-align:center, Firefox shows markers but Chrome, Safari, and Edge do not.  http://jsbin.com/xejepez

The above erratum does not appear to be in the current version of the spec (https://drafts.csswg.org/css-lists-3/#list-style-position-property), so perhaps the test case should be added back to the test suite, with Firefox failing?
Comment 17 Rick Byers 2016-07-11 13:17:53 PDT
There are a bunch of spec bugs that are making it a little hard for me to interpret the exact spec behavior:

https://github.com/w3c/csswg-drafts/issues/311
https://github.com/w3c/csswg-drafts/pull/312

Nonetheless, firefox dev tools says the element's computed style is "display: list-item" (not display: inline-list-item) and so I believe the Edge/Chrome/Safari behavior is correct and this is indeed a Gecko bug .
Comment 18 Geoffrey Sneddon 2016-07-20 09:44:17 PDT
The 2.1 REC is clear on this (though this wasn't intentional, it had been meant to be undefined far as anyone can remember!), but the WG has now resolved on outside bullets being outside the box. As such, this is a 2.1 compliance bug. Gérard's test case is now back in the 2.1 testsuite, FWIW.

Note You need to log in before you can comment on or make changes to this bug.